Skala
Product operation items

Update a product operation item

Partially updates specific fields of an existing product operation item without affecting the rest of the data.

PATCH
/api/product_operation_items/{id}

Partially updates specific fields of an existing product operation item without affecting the rest of the data.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

ProductOperationItem identifier

Request Body

application/merge-patch+json

The updated ProductOperationItem resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.skalasuite.com/api/product_operation_items/string" \  -H "Content-Type: application/merge-patch+json" \  -d '<operation>/entity/1</operation>'
{
  "id": 0,
  "operation": "/entity/1",
  "resource": "/entity/1",
  "cost": "string",
  "time": "string",
  "totalCost": "string",
  "productOperation": "/entity/1",
  "productOperationItemVariantOptions": [
    {}
  ],
  "isActive": true,
  "dependencies": [
    "/entity/1"
  ],
  "notes": "string"
}
Empty
Empty
Empty